curl --request POST \
--url https://api.journeybee.io/v1/certifications/{uuid}/resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_uuid": "<string>",
"series": 123,
"is_required": true,
"prerequisite_resource_uuid": "<string>"
}
'import requests
url = "https://api.journeybee.io/v1/certifications/{uuid}/resources"
payload = {
"resource_uuid": "<string>",
"series": 123,
"is_required": True,
"prerequisite_resource_uuid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resource_uuid: '<string>',
series: 123,
is_required: true,
prerequisite_resource_uuid: '<string>'
})
};
fetch('https://api.journeybee.io/v1/certifications/{uuid}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"resource_uuid": "<string>",
"resource_label": "<string>",
"series": 123,
"is_required": true,
"prerequisite_resource_uuid": "<string>",
"created_at": "<string>"
}Add a curriculum resource to a certification
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
Add a resource to the certification curriculum. Resources form the learning path that users must complete.
Add a resource to the certification curriculum. Resources form the learning path that users must complete.
UUID of the resource to add to the curriculum
Order in the curriculum (1-indexed). Resources are presented in ascending series order.
Whether this resource must be completed to pass the certification
UUID of another curriculum resource that must be completed before this one
Response
A resource in the certification curriculum (learning path).
A resource in the certification curriculum (learning path).
Curriculum entry UUID
UUID of the linked resource
Resource title
Order in curriculum (1-indexed)
Whether completion is required to pass
UUID of prerequisite curriculum entry, or null